package de.saring.jcdiary.tree;


/**
* This class stores all information of an entry in the climbers disary at runtime.
* An entry can be an area, a group, a rock or a route. The attributes difficulty,
* date and lead and completed are only used for route-entries.
*
* @author Stefan Saring
* @version 1.0
*/
public class DiaryItem extends Object
{
    public static final int TYPE_AREA  = 0;
    public static final int TYPE_GROUP = 1;
    public static final int TYPE_ROCK  = 2;
    public static final int TYPE_ROUTE = 3;
    
    /** Type of diary item. See the constants. */
    public int type;

    /** Name of diary item. */
    public String name;
    
    /** Comment for diary item. */
    public String comment;
    
    /** ROUTE ATTY ONLY: difficulty of route. */
    public String difficulty;
    
    /** ROUTE ATTY ONLY: climbing date. */
    public long date;
    
    /** ROUTE ATTY ONLY: true if climbed the route in lead. */
    public boolean lead;
    
    /** ROUTE ATTY ONLY: true if the route was completed. */
    public boolean completed;

    /**
     * Constructs a new DiaryItem object based on the passed parameters.
     */
    public DiaryItem (int iType, String strName, String strDifficulty, 
        boolean fLead, long lDate, boolean fCompleted, String strComment)
    {
        type = iType;
        name = strName;
        difficulty = strDifficulty;
        lead = fLead;
        date = lDate;
        completed = fCompleted;
        comment = strComment;        
    }
}
